#pragma once
#include "VodafoneTestCase.h"
extern const char* gTest07Description;

class Test07 : public VodafoneTestCase {
   public: 
      Test07(VodafoneUSBModem *m) : VodafoneTestCase(m) {}
      
   private:
      virtual void setupTest() {
         _ussdResponse = (char*)malloc(16*sizeof(char));
      }
   
      virtual bool executeTest() {
         LOG(gTest07Description);
         
         if(_modem->sendUSSD(".2890",_ussdResponse,16)!=0) {
            LOG("Expecting \"Unknown command\". Received USSD response: \"%s\"",_ussdResponse);
            return true;
         }
         
         LOG("Expected USSD command to fail.");
         return false;   
      }
      
      virtual void endTest() {
         free(_ussdResponse);
      }
      
      char *_ussdResponse;
};
